Subject: Re: [regext] I-D Action: draft-ietf-regext-epp-fees-10.txt

From: "Gould, James" <[email-masked]>
Date: Tue, 6 Mar 2018 23:10:16 +0000

Roger,

Below is my document shepherd feedback on the latest draft:

  1.  I would change “IESG.” To “IESG” in section 8.1 “XML Namespace”.
  2.  I would change “[email-masked]<mailto:[email-masked]>.” to “[email-masked]<mailto:[email-masked]>” in section 8.2 “EPP Extension Registry”.
  3.  I would change “any” to “Any”, “none” to “None”, “active” to “Active”, and “none” to “None” to match the possible “TLDs”, “IPR Disclosure”, “Status”, and “Notes” fields outlined in RFC 7451.
  4.  I recommend changing “domain names” to “objects” at the end of section 3.9, changing “domain name” to “object” in section 4, and “domain object” to “object” in section 4 to ensure the extension is object agnostic.
  5.  It may be too late at this point, but I noticed that the <fee:period> element uses an element type from the domain schema of RFC 5731, based on the “This element is derived from the <domain:period> element described in [RFC5731]” sentence of section 3.3 “Validity Periods”.  I believe it would have been best to remove the domain schema dependency all together and I would have copied the domain schema “periodType”, “pLimitType”, and “pUnitType” types directly into the fee schema.  This way the domain schema dependency is removed and does not need to be imported into the fee extension.  There is no functional difference in the schema, but it makes the fee extension object agnostic.  If this was done then the “This element is derived from the <domain:period> element described in [RFC5731]” sentence of section 3.3 “Validity Periods” can be removed.

Items 1 – 4 are purely editorial and item 5 is something that can be considered if it’s not too late.

Thanks,

—

JG

James Gould
Distinguished Engineer
[email-masked]

703-948-3271
12061 Bluemont Way
Reston, VA 20190

Verisign.com<http://verisigninc.com/>
From: regext <[email-masked]> on behalf of Roger Carney <[email-masked]>
Date: Monday, March 5, 2018 at 5:35 PM
To: "[email-masked]" <[email-masked]>
Subject: [EXTERNAL] Re: [regext] I-D Action: draft-ietf-regext-epp-fees-10.txt

Good Afternoon,

This latest draft contains minor changes to the document that came about due to WGLC comments.

Thanks

Roger

From: regext <[email-masked]> on behalf of [email-masked] <[email-masked]>
Sent: Monday, March 5, 2018 4:31 PM
To: [email-masked]
Cc: [email-masked]
Subject: [regext] I-D Action: draft-ietf-regext-epp-fees-10.txt

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Registration Protocols Extensions WG of the IETF.

        Title           : Registry Fee Extension for the Extensible Provisioning Protocol (EPP)
        Authors         : Roger Carney
                          Gavin Brown
                          Jothan Frakes
        Filename        : draft-ietf-regext-epp-fees-10.txt
        Pages           : 37
        Date            : 2018-03-05

Abstract:
   This document describes an Extensible Provisioning Protocol (EPP)
   extension mapping for registry fees.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-regext-epp-fees/
Registry Fee Extension for the Extensible Provisioning ...<https://datatracker.ietf.org/doc/draft-ietf-regext-epp-fees/>
datatracker.ietf.org
Registry Fee Extension for the Extensible Provisioning Protocol (EPP) (Internet-Draft, 2017)

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-ietf-regext-epp-fees-10
https://datatracker.ietf.org/doc/html/draft-ietf-regext-epp-fees-10

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-regext-epp-fees-10

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

_______________________________________________
regext mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/regext
regext -- Registration Protocols Extensions - ietf.org<https://www.ietf.org/mailman/listinfo/regext>
www.ietf.org
Registration Protocols Extensions (REGEXT) Working Group The Extensible Provisioning Protocol (EPP, Standard 69) is the standard domain name provisioning protocol for ...